# Get Supported Networks

## Get Supported Networks

<mark style="color:blue;">`GET`</mark> `https://api.cngn.co/v1/api/networks`

Returns a list of all supported blockchain networks and their status. Use the returned `id` field as the `networkId` parameter in other endpoints.

#### Query Parameters

| Name              | Type    | Description                                                  |
| ----------------- | ------- | ------------------------------------------------------------ |
| includeBlockchain | boolean | Include blockchain details in the response. Default: `false` |

{% tabs %}
{% tab title="200 Supported networks fetched successfully" %}

```json
{
  "status": 200,
  "message": "Supported networks fetched successfully",
  "data": [
    {
      "id": "clx1network456",
      "name": "BNB Smart Chain",
      "short_name": "BSC",
      "isDisabled": false
    },
    {
      "id": "clx1network789",
      "name": "Ethereum",
      "short_name": "ETH",
      "isDisabled": false
    },
    {
      "id": "clx1network012",
      "name": "Polygon",
      "short_name": "MATIC",
      "isDisabled": false
    },
    {
      "id": "clx1network345",
      "name": "Tron",
      "short_name": "TRX",
      "isDisabled": false
    },
    {
      "id": "clx1network678",
      "name": "Base",
      "short_name": "BASE",
      "isDisabled": false
    },
    {
      "id": "clx1network901",
      "name": "Solana",
      "short_name": "SOL",
      "isDisabled": true
    }
  ]
}
```

{% endtab %}

{% tab title="400 Invalid request" %}

```json
{
  "status": 400,
  "message": "Invalid request"
}
```

{% endtab %}
{% endtabs %}

#### Response Fields (Decrypted)

| Field        | Type    | Description                                                            |
| ------------ | ------- | ---------------------------------------------------------------------- |
| `id`         | string  | Unique network identifier — use this as `networkId` in other endpoints |
| `name`       | string  | Full network name                                                      |
| `short_name` | string  | Abbreviated network name                                               |
| `isDisabled` | boolean | Whether the network is currently disabled for operations               |
| `blockchain` | object  | Blockchain details (only included when `includeBlockchain=true`)       |

#### Example Request

```bash
curl -X GET "https://api.cngn.co/v1/api/networks?includeBlockchain=true" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cngn.co/integrations/endpoints/get-supported-networks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
